ConstraintEvalUtils (Grails 6.0.0)

Package: org.grails.validation

## [Groovy] Class ConstraintEvalUtils

- org.grails.validation.ConstraintEvalUtils

-     @groovy.transform.CompileStatic
      class ConstraintEvalUtils
      extends java.lang.Object

  Utility methods for configuring constraints

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.Object` | `configId` |
    `private static java.util.Map<java.lang.String, java.lang.Object>` | `defaultConstraintsMap` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstraintEvalUtils ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `static void` | `clearDefaultConstraints()`
    `` | `static java.util.Map<java.lang.String, java.lang.Object>` | `getDefaultConstraints(Config config)` Looks up the default configured constraints from the given configuration

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static java.lang.Object configId

    - #### private static java.util.Map<java.lang.String, java.lang.Object> defaultConstraintsMap

  - ### Constructor Detail

    - #### ConstraintEvalUtils()

  - ### Method Detail

    - #### static void ()

    - #### static void clearDefaultConstraints()

    - #### static java.util.Map<java.lang.String, java.lang.Object> getDefaultConstraints(Config config)

      Looks up the default configured constraints from the given configuration